/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import domain.Manufacturer;
import domain.Product;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import service.ServiceManufacturer;
import service.ServiceProduct;
import service.impl.ServiceManufacturerImpl;
import service.impl.ServiceProductImpl;
import storage.impl.memory.StorageMemoryUser;

/**
 *
 * @author student1
 */
public class Controller {

    private static Controller instance;
    private final StorageMemoryUser storageMemoryUser;
    private final ServiceManufacturer serviceManufacturer;
    private final ServiceProduct serviceProduct;

    private final Map<String, Object> map;

    private Controller() {
        storageMemoryUser = new StorageMemoryUser();
        serviceProduct = new ServiceProductImpl();
        serviceManufacturer = new ServiceManufacturerImpl();
        map = new HashMap<>();
    }

    public static Controller getInstance() {
        if (instance == null) {
            instance = new Controller();
        }

        return instance;
    }

    public void login(String username, String password) {

    }

    public List<Manufacturer> getAllManufacturers() {
        return serviceManufacturer.getAll();
    }

    public Product saveProduct(Product product) {
        return serviceProduct.save(product);
    }

    public List<Product> getAllProducts() throws Exception {
        return serviceProduct.getAll();
    }

    public void setProduct(Product product) {
        map.put("current.product", product);
    }

    public Map getMap() {
        return map;
    }
}
